"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = promptInputUdacityAuthToken;

var _inquirer = _interopRequireDefault(require("inquirer"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Prompt user input for Udacity authentication token
 */
async function promptInputUdacityAuthToken() {
  const questions = [{
    type: 'input',
    name: 'udacityAuthToken',
    message: "Enter Udacity authentication token (Log in to Udacity website and find _jwt key in your browser's cookies to get the token):"
  }];
  const answers = await _inquirer.default.prompt(questions);
  return answers.udacityAuthToken;
}