"use strict";

var _createHtmlLabInstructions = _interopRequireDefault(require("./createHtmlLabInstructions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Create HTML Lab Instructions', () => {
  test('should detect if no lab instruction data available', async () => {
    expect(await (0, _createHtmlLabInstructions.default)(null, '')).toContain('No Lab Instructions data available');
  });
  test('should return html', async () => {
    const details = {
      text: '__instructions__'
    };
    const html = '<p><strong>instructions</strong></p>';
    expect(await (0, _createHtmlLabInstructions.default)(details, '')).toEqual(html);
  });
});