#!/usr/bin/env node
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = setToken;

var _functions = require("../functions");

/**
 * Check if the authentication token is valid
 * and save it locally
 * @param {string} token Udacity authentication
 */
function setToken(token) {
  (0, _functions.validateSaveUdacityAuthToken)(token);
}