"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getFileExt;

/**
 * Extract file extension from file name
 * @param {string} file file name
 */
function getFileExt(filename) {
  // wrap in string literal to get string out of string.match()
  return `${filename.match(/\.[^\.]+\.[^\.]+$/i)}`;
}